%define _requires_exceptions devel\(linux-gate\)

%define __libtoolize    /bin/true
%define launchers /etc/dynamic/launchers/scanner

%define use_enable_final 1 
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%if %unstable
%define dont_strip 1
%endif

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3

%define lib_name_orig kdegraphics
%define lib_major 0
%define lib_name %mklibname kdegraphics %lib_major

Name: kdegraphics
Version: 3.5.9
Release: %mkrel 8
Epoch: 1
Group: Graphical desktop/KDE
Summary: K Desktop Environment - Graphics
License: GPL
URL: http://www.kde.org/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
Patch0: kdegraphics-3.5.7-fix-kdpf-menuEntry.desktop
patch1: post-3.5.7-kdegraphics-fix-categories.patch
Patch2: kdegraphics-3.5.8-ksnapshot-use-xdg-dir.patch
# Post 3.5.9
Patch100: kdegraphics-post-3.5.9-780844-kdvi-freetype-crash.patch
Patch101: kdegraphics-post-3.5.9-776758-xref-null-check.patch
Patch102: kdegraphics-post-3.5.9-774669-xpdf-splash-font.patch
Patch103: kdegraphics-post-3.5.9-784589-splash-glyph.patch
Patch104: kdegraphics-post-3.5.9-785709-draw_outside_glyph.patch
Patch105: kdegraphics-post-3.5.9-785712-draw_outside_glyph_2.patch
Patch106: kdegraphics-post-3.5.9-785716-buffer_overflow.patch

Patch107: kdegraphics_kgamma_xcb.patch

Buildroot: %_tmppath/%name-%version-%release-root
BuildRequires: jpeg-devel 
BuildRequires: png-devel 
BuildRequires: libimlib-devel libtiff-devel
BuildRequires: zlib-devel 
BuildRequires: bzip2-devel
BuildRequires: gettext texinfo
BuildRequires: kdelibs-devel >= 3.2-13mdk 
BuildRequires: X11-devel 
BuildRequires: freetype2-devel
BuildRequires: openssl-devel 
BuildRequires: libsane-devel 
BuildRequires: OpenEXR-devel
BuildRequires: libtiff-progs
BuildRequires: gphoto2-devel
BuildRequires: fribidi-devel
BuildRequires: libpoppler-qt-devel
BuildRequires: fontconfig-devel
# necessary for displaying info into konqueror pdfinfo
BuildRequires: xpdf
BuildRequires: mesaglut-devel
Requires: kdegraphics-ksnapshot = %epoch:%version-%release
Requires: kdegraphics-common = %epoch:%version-%release
Requires: kdegraphics-kuickshow = %epoch:%version-%release
Requires: kdegraphics-kdvi = %epoch:%version-%release
Requires: kdegraphics-kfax = %epoch:%version-%release
Requires: kdegraphics-kghostview = %epoch:%version-%release   
Requires: kdegraphics-kiconedit = %epoch:%version-%release   
Requires: kdegraphics-kcolorchooser = %epoch:%version-%release   
Requires: kdegraphics-kcoloredit = %epoch:%version-%release   
Requires: kdegraphics-kpovmodeler = %epoch:%version-%release    
Requires: kdegraphics-kruler = %epoch:%version-%release    
Requires: kdegraphics-mrmlsearch = %epoch:%version-%release    
Requires: kdegraphics-kview = %epoch:%version-%release    
Requires: kdegraphics-kpdf = %epoch:%version-%release
Requires: fribidi

%description
Graphical tools for the K Desktop Environment.
kdegraphics is a collection of graphic oriented applications:

	- kamera: digital camera io_slave for Konqueror. Together gPhoto this 
			allows you to access your camera's picture with the URL kamera:/
	- kcoloredit: contains two programs: a color value editor and also 
			a color picker
	- kdvi: program (and embeddable KPart) to display *.DVI files from TeX
	- kfax: a program to display raw and tiffed fax images (g3, g3-2d, g4)
	- kfaxview: an embeddable KPart to display tiffed fax images
	- kfile-plugins: provide meta information for graphic files
	- kghostview: program (and embeddable KPart) to display *.PDF and *.PS
	- kiconedit: an icon editor
	- kooka: a raster image scan program, based on SANE and libkscan
	- kruler: a ruler in inch, centimeter and pixel to check distances 
	 		  on the screen
	- ksnapshot: make snapshots of the screen contents
	- kuickshow: fast and comfortable imageviewer
	- kview: picture viewer, provided as standalone program and embeddable KPart
	- kviewshell: generic framework for viewer applications

%files
%defattr(-,root,root,-)
%doc README

#----------------------------------------------------------------------

%package common
Summary:	Common files for kdegraphics
Group:		Graphical desktop/KDE	
Requires:   kdelibs 
Requires:   libgphoto-hotplug
Obsoletes:  kdegraphics3
Provides:   kdegraphics3 = %epoch:%version-%release
Obsoletes:  kdegraphics <= 3.1-9mdk
Obsoletes:  kgamma
Provides:   kgamma = %epoch:%version-%release


%description common
Common files for kdegraphics

%post  common
%update_menus

%postun common
%clean_menus

%files common
%defattr(-,root,root)
%_datadir/applications/kde/kamera.desktop
%doc %_docdir/HTML/en/kamera/*
%_datadir/applications/kde/kgamma.desktop
%dir %_datadir/apps/kgamma/
%_datadir/apps/kgamma/*
%doc %_docdir/HTML/en/kgamma
%_bindir/xf86gammacfg
%_datadir/apps/kconf_update/update-to-xt-names.pl
%_libdir/kde3/kio_kamera.*
%_libdir/kde3/kcm_kamera.*
%_libdir/kde3/kcm_kgamma.*
%_libdir/kde3/kfile_*
%_libdir/kde3/emptymultipagepart.*
%_datadir/servicetypes/kmultipage.desktop
%_datadir/services/emptymultipage.desktop
%_iconsdir/*/*/*/kgamma*
%_iconsdir/*/*/filesystems/*
%_iconsdir/*/*/actions/*
%_iconsdir/*/*/devices/*
%_iconsdir/*/*/apps/camera*
%_datadir/services/kfile_*
%_datadir/services/scanservice.desktop
%_datadir/services/camera.protocol
%exclude %_libdir/kde3/kfile_pdf*
%exclude %_datadir/services/kfile_pdf*

#----------------------------------------------------------------------

%package -n %lib_name-common
Summary:	Libraries files for kdegraphics
Group:		System/Libraries

Obsoletes:	%lib_name
Provides:	%lib_name = %epoch:%version-%release

%description -n %lib_name-common
Libraries files for kdegraphics

%post -n %lib_name-common -p /sbin/ldconfig
%postun -n %lib_name-common -p /sbin/ldconfig

%files -n %lib_name-common
%defattr(-,root,root)
%_libdir/libkmultipage.la*  
%_libdir/libkmultipage.so.*

#----------------------------------------------------------------------

%package kolourpaint
Summary:    Free and easy-to-use paint program for KDE
Group:      Graphical desktop/KDE
Conflicts:  kdegraphics <= 3.1-9.1mdk
Obsoletes:	kolourpaint
Provides:	kolourpaint

%description kolourpaint
KolourPaint is a free, easy-to-use paint program for KDE.
It aims to be conceptually simple to understand; providing a level of
functionality targeted towards the average user. It's designed for daily
tasks like:
  Painting - drawing diagrams and "finger painting" 
  Image Manipulation - editing screenshots and photos; applying effects 
  Icon Editing - drawing clipart and logos with transparency 
It's not an unusable and monolithic program where simple tasks like drawing 
lines become near impossible. Nor is it so simple that it lacks essential 
features like Undo/Redo. KolourPaint is opensource software written in C++
using the Qt and KDE libraries

%post kolourpaint
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun kolourpaint
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files kolourpaint
%defattr(-,root,root)
%_bindir/kolourpaint
%_datadir/applications/kde/kolourpaint.desktop
%dir %_datadir/apps/kolourpaint
%_datadir/apps/kolourpaint/*
%doc %_docdir/HTML/en/kolourpaint
%_iconsdir/*/*/*/kolourpaint*

#----------------------------------------------------------------------

%package mrmlsearch
Summary:	Short for Multimedia Retrieval Markup Language
Group:		Graphical desktop/KDE
Obsoletes: %lib_name-mrmlsearch
Provides: mrmlsearch
Conflicts: kdegraphics <= 3.1-9.1mdk

%description mrmlsearch
MRML is short for Multimedia Retrieval Markup Language,
which defines a protocol for querying a server for images
based on their content. See http://www.mrml.net about MRML
and the GNU Image Finding Tool (GIFT), an MRML server.

This package consists of an mrml kio-slave that handles
the communication with the MRML server and a KPart to
be embedded e.g. into Konqueror.

With those, you can search for images by giving an example
image and let the server look up similar images. The query
result can be refined by giving positive/negative feedback.

%post mrmlsearch
%update_menus
%{update_desktop_database}

%postun mrmlsearch
%clean_menus
%{clean_desktop_database}

%files mrmlsearch
%defattr(-,root,root)
%_bindir/mrmlsearch
%_libdir/kde3/kcm_kmrml.*
%_libdir/kde3/kio_mrml.*
%_libdir/kde3/libkmrmlpart.*
%_libdir/kde3/kded_daemonwatcher.*
%_datadir/applications/kde/kcmkmrml.desktop
%_datadir/services/mrml.protocol
%_datadir/services/mrml_part.desktop
%_datadir/services/kded/daemonwatcher.desktop
%_datadir/apps/konqueror/servicemenus/mrml-servicemenu.desktop
%_datadir/mimelnk/text/mrml.desktop
%_libdir/kde3/mrmlsearch.*
%_libdir/libkdeinit_mrmlsearch.*

#----------------------------------------------------------------------

%package -n %lib_name-common-devel
Summary:	Include files for kdegraphics
Group:		Development/KDE and Qt
Requires:   %{lib_name}-common = %epoch:%version-%release
Obsoletes:	kdegraphics-devel < %epoch:%version-%release
Obsoletes:  kdegraphics3-devel < %epoch:%version-%release
Obsoletes:	%lib_name-devel < %epoch:%version-%release
Provides:	kdegraphics-devel = %epoch:%version-%release
Provides:	%lib_name-devel = %epoch:%version-%release
Provides:   kdegraphics3-devel = %epoch:%version-%release
Provides:	%{lib_name_orig}-common-devel = %epoch:%version-%release

%description -n %lib_name-common-devel
This package contains include files needed to build applications 
based on kdegraphic.

%post -n %lib_name-common-devel -p /sbin/ldconfig
%postun -n %lib_name-common-devel -p /sbin/ldconfig

%files -n %lib_name-common-devel
%defattr(-,root,root)
%_includedir/*.h
%_libdir/libkmultipage.so

#----------------------------------------------------------------------


%package kooka
Summary:    Raster image scan program for the KDE system
Group:      Graphical desktop/KDE
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Requires:	gocr, sane
Requires:	%lib_name-kooka = %epoch:%version-%release
Provides:	kooka
Provides:	scanner-gui

%description kooka
This package contains a raster image scan program, based on SANE and libkscan.

%files kooka
%defattr(-,root,root)
%doc %_docdir/HTML/en/kooka
%dir %_datadir/apps/kooka
%_datadir/apps/kooka/*
%_datadir/config/kookarc
%_bindir/kooka
%_datadir/applications/kde/kooka.desktop
%config(noreplace) %launchers/%name.desktop

#----------------------------------------------------------------------

%package kdvi
Summary:    DVI Viewer
Group:      Graphical desktop/KDE
Provides:	kdvi
Requires:	%lib_name-common = %epoch:%version-%release
Conflicts:	kdegraphics <= 3.1-9.1mdk
Requires:	kdegraphics-common = %epoch:%version-%release
# kdvi requires kviewpart which is in kview, do NOT remove this provide
# or kdvi won't work
Requires:	kdegraphics-kview
Requires:	tetex

%description kdvi
Kdvi package

%post kdvi
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun kdvi
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor


%files kdvi
%defattr(-,root,root)
%doc %_docdir/HTML/en/kdvi
%_libdir/kde3/kdvipart.*
%_iconsdir/*/*/*/kdvi.*
%_datadir/services/kdvimultipage.desktop
%_datadir/config.kcfg/kdvi.kcfg
%_bindir/kdvi           
%_datadir/applications/kde/kdvi.desktop           
%dir %_datadir/apps/kdvi/
%_datadir/apps/kdvi/*

#----------------------------------------------------------------------

%package kfax
Summary:    Kfax package
Group:      Graphical desktop/KDE
Provides:	kfax
Requires:   %lib_name-common = %epoch:%version-%release
Requires:   kdegraphics-kview 
Conflicts:  kdegraphics <= 3.1-9.1mdk
Obsoletes:	%lib_name-kfax

%description kfax
A program to display raw and tiffed fax images (g3, g3-2d, g4).

%post kfax
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun kfax
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files kfax
%defattr(-,root,root)
%_libdir/kde3/djvuviewpart.*
%_libdir/kde3/libdjvu.*
%_datadir/apps/djvumultipage.rc
%_datadir/config.kcfg/djvumultipage.kcfg
%_datadir/services/djvumultipage.desktop
%_bindir/kfax        
%_bindir/kfaxview
%_datadir/applications/kde/kfax.desktop           
%_datadir/applications/kde/kfaxview.desktop
%dir %_datadir/apps/kfax/
%_datadir/apps/kfax/*
%dir %_datadir/apps/kfaxview
%_datadir/apps/kfaxview/*
%_iconsdir/*/*/*/kfax*
%_datadir/services/kfaxmultipage.desktop
%_datadir/services/kfaxmultipage_tiff.desktop
%_libdir/kde3/kfaxviewpart.*
# This is a module, not library. We will not change buildsystem
# on kde 3 and the install should be fixed on kde4
%_libdir/libkfaximage.*

#----------------------------------------------------------------------

%package kruler
Summary:    Kruler package
Group:      Graphical desktop/KDE
Provides:	kruler
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kruler
A ruler in inch, centimeter and pixel to check distances on the screen

%post kruler
%update_menus
%update_icon_cache hicolor

%postun kruler
%clean_menus
%clean_icon_cache hicolor

%files kruler
%defattr(-,root,root)
%_bindir/kruler  
%_datadir/applnk/Graphics/kruler.desktop
%_iconsdir/*/*/*/kruler*
%_datadir/applications/kde/kruler.desktop           
%dir %_datadir/apps/kruler/
%_datadir/apps/kruler/*
%doc %_docdir/HTML/en/kruler

#----------------------------------------------------------------------

%package kghostview
Summary:    Kghostview package
Group:      Graphical desktop/KDE
Provides:	kghostview
Requires:	ghostscript, ghostscript-module-X
Conflicts:  kdegraphics <= 3.1-9.1mdk
Conflicts:	%lib_name-kghostview <= %epoch:3.5.3-5mdk
Conflicts:	kdegraphics-common < 1:3.5.3-7mdv2007.0

%description kghostview
A program (and embeddable KPart) to display *.PDF and *.PS

%post kghostview
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun kghostview
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files kghostview
%defattr(-,root,root)
%doc %_docdir/HTML/en/kghostview
%_iconsdir/*/*/*/kghostview.*
%_datadir/apps/kconf_update/kghostview.upd
%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/kghostview.kcfg
%_bindir/kghostview  
%_datadir/applications/kde/kghostview.desktop   
%_datadir/services/kghostview_part.desktop
%dir %_datadir/apps/kghostview/
%_datadir/apps/kghostview/*
%_libdir/kde3/libkghostviewpart.*
%_libdir/kde3/gsthumbnail.*
%_datadir/services/gsthumbnail.desktop

#----------------------------------------------------------------------

%package -n %lib_name-kghostview
Summary:    Library for kghostview 
Group:      System/Libraries
Conflicts:  kdegraphics <= 3.1-9.1mdk
Provides:	kghostview-lib

%description -n %lib_name-kghostview
Library for kghostview

%post -n  %lib_name-kghostview -p /sbin/ldconfig
%postun -n  %lib_name-kghostview -p /sbin/ldconfig

%files -n %lib_name-kghostview
%defattr(-,root,root)
%_libdir/libkghostviewlib.la
%_libdir/libkghostviewlib.so.*

#----------------------------------------------------------------------

%package -n %lib_name-kghostview-devel
Summary:    Devel for kghostview 
Group:      Development/KDE and Qt
Requires:	%lib_name-kghostview = %epoch:%version-%release
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description -n %lib_name-kghostview-devel
Library for kghostview

%files -n %lib_name-kghostview-devel
%defattr(-,root,root)
%_libdir/libkghostviewlib.so

#----------------------------------------------------------------------

%package kpdf
Summary:    Kpdf package
Group:      Graphical desktop/KDE
Provides:	kpdf
# (fundawang) Suggest xpdf-common which contains unicodemap and xpdfrc, so
# that the default installation could render more international glyphs (#33546):
Suggests: 	xpdf-common
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kpdf
kpdf program

%post kpdf
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun kpdf
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files kpdf
%defattr(-,root,root)
%_bindir/kpdf
%dir %_datadir/apps/kpdf/
%_datadir/apps/kpdf/*
%dir %_datadir/apps/kpdfpart/
%_datadir/apps/kpdfpart/*
%_datadir/services/kpdf_part.desktop
%_iconsdir/*/*/*/kpdf*
%_libdir/kde3/kfile_pdf.*
%_datadir/services/kfile_pdf.desktop
%_libdir/kde3/libkpdfpart.*
%_datadir/config.kcfg/kpdf.kcfg
%doc %_docdir/HTML/en/kpdf
%_datadir/applications/kde/kpdf.desktop           

#----------------------------------------------------------------------

%package ksnapshot
Summary:    Ksnaphot package
Group:      Graphical desktop/KDE
Provides:	ksnapshot
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description ksnapshot
KSnapshot is intended to be an easy to use program for making
screenshots. I can be bound to the Print Screen key, as the program
takes a snapshot of the desktop on startup (before it displays it
window), so it's a simple way of of making snapshots.

%post ksnapshot
%update_menus
%update_icon_cache hicolor

%postun ksnapshot
%clean_menus
%clean_icon_cache hicolor


%files ksnapshot
%defattr(-,root,root)
%doc %_docdir/HTML/en/ksnapshot
%_bindir/ksnapshot  
%_datadir/applications/kde/ksnapshot.desktop
%_iconsdir/*/*/*/ksnapshot*

#----------------------------------------------------------------------


%package kpovmodeler
Summary:    Kpovmodeler package
Group:      Graphical desktop/KDE
Provides:	kpovmodeler
Conflicts:  kdegraphics <= 3.1-9.1mdk
Requires:	%lib_name-kpovmodeler = %epoch:%version-%release

%description kpovmodeler
Program to enter scenes for the 3D rendering engine PovRay.

%post kpovmodeler
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun kpovmodeler
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files kpovmodeler
%defattr(-,root,root)
%_bindir/kpovmodeler  
%doc %_docdir/HTML/en/kpovmodeler
%_libdir/kde3/libkpovmodelerpart.*
%_iconsdir/*/*/*/kpovmodeler*
%dir %_datadir/apps/kpovmodeler/
%_datadir/apps/kpovmodeler/*
%_datadir/applications/kde/kpovmodeler.desktop

#----------------------------------------------------------------------

%package -n %lib_name-kpovmodeler
Summary:    Library for kpovmodeler package
Group:      System/Libraries
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description -n %lib_name-kpovmodeler
Library for kpovmodeler.

%post -n %lib_name-kpovmodeler -p /sbin/ldconfig
%postun -n %lib_name-kpovmodeler -p /sbin/ldconfig

%files -n %lib_name-kpovmodeler
%defattr(-,root,root)
%_libdir/libkpovmodeler.la
%_libdir/libkpovmodeler.so.*

#----------------------------------------------------------------------

%package -n %lib_name-kpovmodeler-devel
Summary:    Devel for kpovmodeler package
Group:      Development/KDE and Qt
Conflicts:  kdegraphics <= 3.1-9.1mdk
Requires:	%lib_name-kpovmodeler = %epoch:%version-%release

%description -n %lib_name-kpovmodeler-devel
Devel for kpovmodeler.

%files -n %lib_name-kpovmodeler-devel
%defattr(-,root,root)
%_libdir/libkpovmodeler.so

#----------------------------------------------------------------------

%package kiconedit
Summary:    Kiconedit package
Group:      Graphical desktop/KDE
Provides:	kiconedit
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description kiconedit
An icon editor.

%post kiconedit
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun kiconedit
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files kiconedit
%defattr(-,root,root)
%doc %_docdir/HTML/en/kiconedit
%_datadir/applications/kde/kiconedit.desktop    
%dir %_datadir/apps/kiconedit
%_datadir/apps/kiconedit/*
%_iconsdir/*/*/*/kiconedit*
%_bindir/kiconedit   

#----------------------------------------------------------------------

%package kview
Summary:    Kview package
Group:      Graphical desktop/KDE
Provides:	kview
Conflicts:  kdegraphics <= 3.1-9.1mdk
Requires:	%lib_name-kview = %epoch:%version-%release
Conflicts:	kdegraphics-ksvg < %epoch:3.5.3-5mdk
Conflicts:	kdegraphics-common < %epoch:3.5.3-5mdk

%description kview
Kview is a  picture viewer, provided as standalone program and embeddable KPart

%post kview
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor
%update_icon_cache crystalsvg

%postun kview
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor
%clean_icon_cache crystalsvg

%files kview
%defattr(-,root,root)
%doc %_docdir/HTML/en/kview
%_bindir/kview
%_bindir/kviewshell
%_datadir/config.kcfg/kviewshell.kcfg
%_libdir/kde3/kviewerpart.*
%_datadir/applications/kde/kview.desktop           
%_libdir/kde3/kview.*
%_libdir/libkdeinit_kview.*      
%_libdir/kde3/kcm_kview*.*
%_datadir/services/kviewviewer.desktop
%dir %_datadir/services/kconfiguredialog/
%_datadir/services/kconfiguredialog/kviewcanvasconfig.desktop
%_datadir/services/kconfiguredialog/kviewgeneralconfig.desktop
%_datadir/services/kconfiguredialog/kviewpluginsconfig.desktop
%_datadir/services/kconfiguredialog/kviewviewerpluginsconfig.desktop
%dir %_datadir/apps/kview/
%_datadir/apps/kview/*
%_datadir/services/kviewcanvas.desktop
%_datadir/servicetypes/kimageviewercanvas.desktop
%_datadir/servicetypes/kimageviewer.desktop
%dir %_datadir/apps/kviewviewer/
%_datadir/apps/kviewviewer/*
%_libdir/kde3/kview_*
%_libdir/kde3/libkview*
%_libdir/kde3/libphotobook.*
%_iconsdir/*/*/*/photobook*
%_iconsdir/*/*/*/kview*
%_datadir/services/photobook.desktop
%dir %_datadir/apps/kviewerpart/
%_datadir/apps/kviewerpart/*
%dir %_datadir/apps/kviewshell/
%_datadir/apps/kviewshell/*
%dir %_datadir/apps/photobook/
%_datadir/apps/photobook/*

#----------------------------------------------------------------------

%package -n %lib_name-kview
Summary:    Librarie for Kview package
Group:      System/Libraries
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description -n %lib_name-kview
Libraries for Kview package

%post -n %lib_name-kview -p /sbin/ldconfig
%postun -n %lib_name-kview -p /sbin/ldconfig

%files -n %lib_name-kview
%defattr(-,root,root)
%_libdir/libkimageviewer.so.*
%_libdir/libkimageviewer.la

#----------------------------------------------------------------------

%package -n %lib_name-kview-devel
Summary:    Devel file for Kview package
Group:      Development/KDE and Qt
Requires:	%lib_name-kview = %epoch:%version-%release
Provides:	%{lib_name_orig}-kview-devel = %epoch:%version-%release

%description -n %lib_name-kview-devel
Devel files for Kview package

%files -n %lib_name-kview-devel
%defattr(-,root,root)
%_libdir/libkimageviewer.so
%_includedir/kviewshell/*.h

#----------------------------------------------------------------------

%package kuickshow
Summary:    Kuickshow package
Group:      Graphical desktop/KDE
Provides:	kuickshow
Conflicts:  kdegraphics <= 3.1-9.1mdk
Obsoletes:	%lib_name-kuickshow

%description kuickshow
A fast and comfortable imageviewer.

%post kuickshow
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun kuickshow
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor


%files kuickshow
%defattr(-,root,root)
%doc %_docdir/HTML/en/kuickshow
%_bindir/kuickshow  
%_iconsdir/*/*/*/kuickshow*
%_datadir/applications/kde/kuickshow.desktop
%dir %_datadir/apps/kuickshow/
%_datadir/apps/kuickshow/*
%_libdir/kde3/kuickshow.*  
%_libdir/libkdeinit_kuickshow.*

#----------------------------------------------------------------------

%package kcoloredit
Summary:    Kcoloredit package
Group:      Graphical desktop/KDE
Provides:	kcoloredit
Obsoletes:  kdegraphics-kpaint

%description kcoloredit
A fast and comfortable imageviewer.

%post kcoloredit
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun kcoloredit
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files kcoloredit
%defattr(-,root,root)
%doc %_docdir/HTML/en/kcoloredit
%dir %_datadir/apps/kcoloredit
%_datadir/applications/kde/kcoloredit.desktop     
%_datadir/apps/kcoloredit/*
%_bindir/kcoloredit     
%_iconsdir/*/*/*/kcoloredit*

#----------------------------------------------------------------------

%package kcolorchooser
Summary:    Kcolorchooser package
Group:      Graphical desktop/KDE
Provides:	kcolorchooser
Obsoletes:  kdegraphics-kpaint

%description kcolorchooser
A fast and comfortable imageviewer.

%post kcolorchooser
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun kcolorchooser
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor


%files kcolorchooser
%defattr(-,root,root)
%_bindir/kcolorchooser  
%_datadir/applications/kde/kcolorchooser.desktop  
%_iconsdir/*/*/*/kcolorchooser*

#----------------------------------------------------------------------

%package -n %lib_name-kooka
Summary:    Library for Kooka 
Group:      System/Libraries
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description  -n %lib_name-kooka
Library for Kooka 

%post kooka
%update_menus
update-alternatives --install %{launchers}/kde.desktop scanner.kde.dynamic %launchers/%name.desktop 31
update-alternatives --install %{launchers}/gnome.desktop scanner.gnome.dynamic %launchers/%name.desktop 29

%postun kooka
%clean_menus
if [ $1 = 0 ]; then
  update-alternatives --remove scanner.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove scanner.gnome.dynamic %launchers/%name.desktop
fi

%files -n %lib_name-kooka
%defattr(-,root,root)
%_libdir/libkscan.so.*
%_libdir/libkscan.la

#----------------------------------------------------------------------

%package -n %lib_name-kooka-devel
Summary:    Devel files for Kooka 
Group:      Development/KDE and Qt
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Requires:	%lib_name-kooka = %epoch:%version-%release
Provides:	%{lib_name_orig}-kooka-devel = %epoch:%version-%release

%description  -n %lib_name-kooka-devel
Devel files for Kooka 

%post -n %lib_name-kooka -p /sbin/ldconfig
%postun -n %lib_name-kooka -p /sbin/ldconfig

%files -n %lib_name-kooka-devel
%defattr(-,root,root)
%_libdir/libkscan.so

#----------------------------------------------------------------------

%package ksvg
Summary:    Ksvg package
Group:      Graphical desktop/KDE
Requires:	%lib_name-ksvg = %epoch:%version-%release
Provides:	ksvg
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description ksvg
KSVG is a KDE implementation of the Scalable Vector Graphics Specifications.

%files ksvg
%defattr(-,root,root)
%_bindir/svgdisplay
%_bindir/printnodetest
%_libdir/kde3/libksvg*
%_libdir/kde3/svgthumbnail.*
%_datadir/servicetypes/ksvgrenderer.desktop
%_datadir/services/svgthumbnail.desktop
%_datadir/services/ksvglibartcanvas.desktop
%_datadir/services/ksvgplugin.desktop
%dir %_datadir/apps/ksvg/
%_datadir/apps/ksvg/ksvgplugin.rc

#----------------------------------------------------------------------

%package -n %lib_name-ksvg
Summary:    Library for Ksvg
Group:      System/Libraries
Requires:   kdelibs >= 30000000:3.1.2-1mdk
Conflicts:  kdegraphics <= 3.1-9.1mdk

%description  -n %lib_name-ksvg
Library for Ksvg

%postun -n %lib_name-ksvg -p /sbin/ldconfig
%post -n %lib_name-ksvg -p /sbin/ldconfig

%files -n %lib_name-ksvg
%defattr(-,root,root)
%_libdir/libksvg.la
%_libdir/libksvg.so.*
%_libdir/libtext2path.la
%_libdir/libtext2path.so.*


#----------------------------------------------------------------------

%package -n %lib_name-ksvg-devel
Summary:    Devel files for Ksvg 
Group:      Development/KDE and Qt
Requires:	kdelibs >= 30000000:3.1.2-1mdk
Requires:	%lib_name-ksvg = %epoch:%version-%release
Provides:	%{lib_name_orig}-ksvg-devel = %epoch:%version-%release

%description  -n %lib_name-ksvg-devel
Devel files for Ksvg

%files -n %lib_name-ksvg-devel
%defattr(-,root,root)
%_libdir/libksvg.so
%_libdir/libtext2path.so
%dir %_includedir/dom/
%_includedir/dom/*.h
%dir %_includedir/ksvg/
%_includedir/ksvg/*.h
%dir %_includedir/libtext2path-0.1/
%_includedir/libtext2path-0.1/*.h

#----------------------------------------------------------------------

%prep
%setup -q 
%patch0 -p0 -b .fix_kdf_menuEntry
%patch1 -p0 -b .fix_categories
%patch2 -p0 -b .xdg_dir
%patch100 -p0 -b .post359
%patch101 -p0 -b .post359
%patch102 -p0 -b .post359
%patch103 -p0 -b .post359
%patch104 -p0 -b .post359
%patch105 -p0 -b .post359
%patch106 -p0 -b .post359
%patch107 -p1 -b .kgamma_xcb
%build
export QTDIR=%qtdir

%configure2_5x \
	--with-kamera \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
%if %use_enable_final
	--enable-final \
%else
	--disable-final \
%endif
	--disable-static \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--disable-rpath \
	--with-xinerama 

%make

%install
rm -fr %buildroot

make install DESTDIR=%buildroot

mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Kooka \$devicename
Comment=Kooka
Exec=%_bindir/kooka
Terminal=false
Icon=scanner
Type=Application
EOF

%clean
rm -fr %buildroot



%changelog
* Mon May 19 2008 Danilo Cesar Lemes de Paula <danilo@mandriva.com> 1:3.5.9-8mdv2008.1
+ Revision: 209149
- Adding a new patch to fix x_cb issue, avoiding calling XOpenDisplay twice.

* Sat Mar 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.9-7mdv2008.1
+ Revision: 189494
- Fix groups ( tks to pterjan)

* Fri Mar 14 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.9-6mdv2008.1
+ Revision: 187982
- kpdf buffer overflow fixes from kde branch

* Tue Mar 11 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.9-5mdv2008.1
+ Revision: 186961
- Solution for https://qa.mandriva.com/show_bug.cgi?id=37650. Thanks to Albert that care to look our problem

* Mon Mar 10 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.9-4mdv2008.1
+ Revision: 183813
- Possible solution for bug https://qa.mandriva.com/show_bug.cgi?id=37650

* Tue Mar 04 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.9-3mdv2008.1
+ Revision: 178442
- Post 3.5.9 branch fixes
- kdvi crash fix related to font unload
- kpdf check for valid null entry

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:3.5.9-2mdv2008.1
+ Revision: 170919
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Feb 14 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.9-1mdv2008.1
+ Revision: 168619
- Get away from branches. Last KDE 3 arriving !!
- Removed post-3.5.8 patches intregrated

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 29 2007 Funda Wang <fundawang@mandriva.org> 1:3.5.8-4mdv2008.1
+ Revision: 139306
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 30 2007 Funda Wang <fundawang@mandriva.org> 1:3.5.8-3mdv2008.1
+ Revision: 114055
- let ksnapshot use xdg dir by default.

* Wed Nov 07 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.8-2mdv2008.1
+ Revision: 106792
- fixes for CVE-2007-4352/CVE-2007-5392/CVE-2007-5493
- Add usptream 3.5.9 branch patches
  	- Fix memleak
  	- Fix compilation
  	- Fix pdf password encoding (kpdf)
  	- Splash rework (kolourpaint
  	- Fix crash in kolourpaint

* Sun Oct 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.8-1mdv2008.1
+ Revision: 102787
- KDE 3.5.8
  remove merged patches

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

* Fri Sep 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.7-8mdv2008.0
+ Revision: 93619
- [BUGFIX] Fix kpdf and kghostview menu entry
- [BUGFIX] Do not provide Office category on kpdf and kghostview desktop files (Bug # 24114)

* Thu Sep 13 2007 Funda Wang <fundawang@mandriva.org> 1:3.5.7-7mdv2008.0
+ Revision: 85236
- Suggest xpdf-common which contains unicodemap and xpdfrc, so
   that the default installation could render more international glyphs.

* Wed Sep 05 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-6mdv2008.0
+ Revision: 80394
- kpdf patches from branch. Mostly print fix

* Tue Sep 04 2007 Funda Wang <fundawang@mandriva.org> 1:3.5.7-5mdv2008.0
+ Revision: 79101
- PDFViewer is not a valid category
- Rebuild against latest poppler

* Fri Aug 17 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-4mdv2008.0
+ Revision: 65201
- Added post kamera and kpdf patches from kde branch

* Mon Aug 13 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:3.5.7-3mdv2008.0
+ Revision: 62571
- kdegraphics-common should not provide kdegraphics (#32494)
- kdvi needs kviewpart to work, so it should require kview (#26095)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix menu categories (bug #32467)
    - Fix kpdf menu Entry ( bug #32033)

* Mon Jul 30 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-2mdv2008.0
+ Revision: 56539
- Post 3.5.7 kpdf cve patch

* Wed May 16 2007 Helio Chissini de Castro <helio@mandriva.com> 1mdv2008.0-current
+ Revision: 27446
- 3.5.7 release


* Thu Feb 01 2007 Laurent Montel <lmontel@mandriva.com> 3.5.6-1mdv2007.0
+ Revision: 115847
- 3.5.6
- Fix apply ok button
- Fix kamera mem leak
- Fix missing package in virtual package

* Tue Oct 17 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-2mdv2007.1
+ Revision: 65496
- As said on maintainer we use official tarball
  not a random snapshot
  If there is a critical crash add a patch to fix it.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Back to use branch tarballs. Now using post 3.5.5

* Fri Sep 15 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.4-7mdv2007.0
+ Revision: 61463
- Add libgphoto-hotplug requires

  + Laurent Montel <lmontel@mandriva.com>
    - New package (3.5.4-5mdv 2006-09-07)
      Add patch to fix kpdf crash

* Fri Aug 25 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.4-5mdv2007.0
+ Revision: 57780
- Remove entries to removed sources
- Fix last kgamma patch
- Added kcontrol defaults patch

  + Laurent Montel <lmontel@mandriva.com>
    - Fix kpdf mem leak

* Fri Aug 18 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.4-3mdv2007.0
+ Revision: 56496
- Removed duplicated icons presented in mandriva-kde-icons
- Added post kde 3.5.4 kpdf memory leak fix ( substitute old one )

* Sat Aug 12 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-2mdv2007.0
+ Revision: 55654
- New package (2006/08/11 3.5.4-2mdv)
  Fix kpdf mem leak

* Sat Aug 05 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-1mdv2007.0
+ Revision: 51732
- New package (2006/08/04 3.5.4-1mdv)
- Fix generate menu
  Fix requires

  + Helio Chissini de Castro <helio@mandriva.com>
    - KDE 3.5.4 update

* Fri Jul 21 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.3-9mdv2007.0
+ Revision: 41726
- Disable debug

* Wed Jul 19 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.3-8mdv2007.0
+ Revision: 41571
- Missin epoch on conflicts break the kghostview upgrade :-/

* Tue Jul 18 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.3-7mdv2007.0
+ Revision: 41511
- Recompile to fix mirrors breakage
- Clean and rearrange spec file
- Added tarball from kde branch as discussed on meeting in 28/06
- Removed rpath and added configure macro invalidating libtoolize
- Added strip macro as stated by Nanar ( for unstable builds )
- Obsoleted kpaint package
- Created kcolorchooser and kcoloredit package
- Fixed kview invalid file list and added in kdegraphics meta package
- Removed old patches in favour of recent commited on kde branch upstream
- We are Mandriva now
- Uploading package ./kdegraphics

  + Laurent Montel <lmontel@mandriva.com>
    - When we move files... move all files
      Fix upgrade after moving files
    - Fix crash ?
    - Use macro
    - Fix provides
    - 3.5.3
    - Compile with new freetype
    - rebuild against new xorg
    - Fix spec file
    - Rebuild for generate category
    - 3.5.2
      Remove merged patch
    - Rebuild with new poppler lib
    - Fix kpdf overwrite file
    - Add missing file
    - 3.5.1
    - Enable debug for cooker only
      MDK9.2 is obsolete now
    - Don't change docbook
    - Rebuild for missing package
    - Diff from kde3.5 branch
    - Fix missing file
    - Fix buildrequires
    - Real kde3.5
    - 3.5.0 (named as rc1)
    - Fix typo
      * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
    - Rebuild with new mysql
      * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
    - New immodule patch
    - 3.4.92
    - 3.4.92
    - Rebuild
      use %%mkrel
    - Last sync to fix kpdf
    - Fix spec file
    - Patch to use kpdf-3.5 (better)
    - Rebuild
      Update from svn
    - Fix crash in kpdf
      Bugs reported by Nicolas Chipaux
      Fix found by Gwenole Beauchesne thanks
    - New sync
    - Fix kooka null signal/slot
    - Sync with branch (fix a lot of bug into kpdf)
    - Add diff from 3.4.2
      Disable debug
    - 3.4.2

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Wed May 18 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Fix kghostview config (bug found by qa)

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Add patch16: fix kpdf mdk bug 15357

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Reenable debug
- Change email
- Remove some patchs
- Fix menu entry

* Tue Apr 05 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-21mdk
- Add patch24: fix kpdf kde bug  #101519

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-20mdk
- Add patch23: "Fix the allocation size of libgoo on 64bit architectures."

* Mon Mar 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-19mdk
- Add parch22: fix kpdf kde bug #100881

* Fri Mar 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-18mdk
- Sync kpdf with kde 3.4 branch

* Thu Feb 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-17mdk
- Sync kpdf with cvs

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-16mdk
- Add patch21: fix kgamma kde bug #99396
- Sync kpdf

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-15mdk
- Disable debug

* Wed Feb 09 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-14mdk
- Sync kpdf

* Mon Feb 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-13mdk
- Add patch20: fix kuickshow kde bug #89313

* Sun Jan 30 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-12mdk
- Fix generate menu entry
- Sync with kpdf (memory managment fix + implement bookmarks)

* Thu Jan 20 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-11mdk
- Sync for kpdf (fix memory managment)

* Mon Jan 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Sync with KDE 3.3 branch (kfax fix)
- Sync kpdf from CVS

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Add missing buildrequires
- Sync with photobook module from CVS
- Add kpdf from kde 3.4 (it's a very good program now, support presentation, transition, copy text/picture etc.)

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Rebuild with new libt1

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Add photobook to kview (new konqueror module)

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Add patch14: fix kde bug #74457

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Sync with CVS

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Fix for missing package

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Fix menu

* Mon Dec 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu entry

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Wed Nov 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-9mdk
- Fix spec file

* Wed Nov 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-8mdk
- Rebuild to fix missing package

* Mon Nov 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-7mdk
- Fix lib into package

* Tue Nov 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-6mdk
- Provides kolourpaint

* Wed Oct 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-5mdk
- Remove %%buildfor

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- Fix BuildRequires

* Wed Oct 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Sync with CVS

* Sat Oct 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Fix spec file

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecate mdk version < 9.2

* Sat Oct 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Wed Oct 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-6mdk
- Add patch17: fix xpdf

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-5mdk
- Sync with CVS

* Wed Sep 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-4mdk
- Sync with CVS (kpdf update)

* Wed Sep 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Disable debug

* Tue Sep 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Use devicename

* Fri Sep 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- kde 3.3.0

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-13mdk
- Add patch16: fix kpdf init "m_currentPage before opening a document 
								is 0, this way the goToPage if is
 	true when going to the first page and updateActions is triggered"

* Sat Aug 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- Add patch15: fix kde bug #81442, #83590

* Fri Aug 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Fix config for kuickshow "don't re-open last dir"

* Sat Aug 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Add default config for kuickshow

* Tue Jul 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Fix spec file

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Add patch14: fix bug found by David Baudens (after 005.png create 006.png and not 6.png)

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Fix remove rpath

* Tue Jul 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Sync with CVS

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Rebuild

* Wed Jun 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Sync with CVS

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Add patch12: fix ksnapshot bug #63067

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Add patch11: disable kghostview action

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Rebuild with debug

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild against qt3.3.2

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Add patch10: fix bugs #6612

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-16mdk
- Use %%configure
- Use mdkversion
- Support for MDK 10.1

* Tue Mar 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-15mdk
- Add icons for camera

* Thu Mar 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-14mdk
- Add patch9: fix kamera (bug reported by Arnaud)
- Fix update menu on common and not lib_name-common
- Add provides scanner-gui for kooka

* Thu Mar 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-13mdk
- Fix group
- Add patch8: fix kfile ps plugins "check return value of scanData"
- Fix requires

* Tue Mar 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-12mdk
- Fix spec file

* Wed Feb 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Fix kghostview

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- Fix kdvi crash

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Fix crash into kpdf/kfax

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Sync with CVS (fix kdvi)

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Sync with CVS (fix ksvg crash/kviewshell)
- Fix distlint 
- Build with good kdedesktop2mdkmenu.pl

* Thu Feb 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Sync with CVS

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Fix menu entry

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Sync with CVS (fix kdvi)
- Requires tetex for kdvi

* Thu Feb 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS (fix kghostview)

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

